Projects
List projects filtered by status
Returns a paginated list of projects filtered by status. Only projects the user has access to are included.
Parameters:
-
status(query, optional): Filter by project status (ProjectStatusEnum). -
skip(query, optional): Number of records to skip for pagination. -
top(query, optional): Maximum number of records to return.
GET
/
Project
/
ByStatus
List projects filtered by status
curl --request GET \
--url https://api.plantpredict.terabase.energy/Project/ByStatus \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plantpredict.terabase.energy/Project/ByStatus"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plantpredict.terabase.energy/Project/ByStatus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"latitude": 29.574,
"longitude": -99.17,
"country": "United States",
"countryCode": "US",
"stateProvince": "Texas",
"stateProvinceCode": "TX",
"locality": "Hondo",
"region": "North America",
"elevation": 428.7325134277344,
"standardOffsetFromUTC": -6,
"status": 1,
"distance": 0,
"id": 189820,
"name": "Mock Project Lone Star",
"companyId": 1042,
"createdDate": "2025-09-02T02:25:36.367"
},
{
"latitude": 36.8716,
"longitude": -78.5308,
"country": "United States",
"countryCode": "US",
"stateProvince": "Virginia",
"stateProvinceCode": "VA",
"locality": "Chase City",
"region": "North America",
"elevation": 177.1206512451172,
"standardOffsetFromUTC": -5,
"status": 1,
"distance": 0,
"id": 188240,
"name": "Mock Project Blue Ridge",
"companyId": 1042,
"createdDate": "2025-01-13T02:08:03.737"
},
{
"latitude": 32.515235761961364,
"longitude": -111.64193562103895,
"country": "United States",
"countryCode": "US",
"stateProvince": "Arizona",
"stateProvinceCode": "AZ",
"locality": "Eloy",
"region": "North America",
"elevation": 538.2682495117188,
"standardOffsetFromUTC": -7,
"status": 1,
"distance": 0,
"id": 184950,
"name": "Mock Project Sonoran",
"companyId": 1042,
"createdDate": "2024-08-12T15:28:13.92"
},
{
"latitude": 47.71398199999999,
"longitude": 3.665354999999999,
"country": "France",
"countryCode": "FR",
"stateProvince": "Bourgogne-Franche-Comté",
"stateProvinceCode": "Bourgogne-Franche-Comté",
"locality": "Irancy",
"region": "Europe",
"elevation": 174.3704376220703,
"standardOffsetFromUTC": 1,
"status": 1,
"distance": 0,
"id": 154377,
"name": "Mock Project Burgundy",
"companyId": 1042,
"createdDate": "2024-01-16T17:45:15.987"
},
{
"latitude": 55.27501,
"longitude": 12.03738,
"country": "Denmark",
"countryCode": "DK",
"locality": "Rønnede",
"region": "Europe",
"elevation": 46.70444107055664,
"standardOffsetFromUTC": 1,
"status": 1,
"distance": 0,
"id": 150543,
"name": "Mock Project Nordic Meadow",
"companyId": 1042,
"createdDate": "2023-12-08T17:36:35.44"
}
]"An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Response
Array of projects
ProjectStatusEnum
Available options:
0, 1, 2 ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
⌘I
List projects filtered by status
